API references
Merchant API

Generate a temporary terminal challenge

Generate a unique 8-digit challenge for a terminal that is not connected and is enabled. The challenge expires 5 minutes after it is issued. Calling this again before expiry returns the same challenge.

Endpoint signature
This endpoint requires an API key. Read our authentication guide for more information.
POST https://api.reservepay.com/merchants/generate-temporary-terminal-challenge HTTP/1.1
Content-Type: application/json
Accept: application/json
Authorization: Bearer <token>
{
terminal_id: string,
}
Returns: object
New to Reservepay? Read our guide on how to call endpoints to get started.
Request arguments
terminal_id string

Required. The terminal ID to generate a temporary challenge for.

Response attributes
Attribute Description
temporary_challenge
string

Always present. Unique 8-digit challenge. Expires 5 minutes after it is generated.

expires_at
number

Always present. Unix timestamp when the temporary challenge expires.

Errors specific to this endpoint
NOT_FOUND

No terminal exists with the provided ID in this merchant account.

NOT_ENABLED

The terminal exists but is disabled.

ALREADY_CONNECTED

The terminal is already connected to a device.

Errors common to all endpoints
UNHANDLED_ERROR

This error occurs when the server encounters an unexpected internal error that it cannot handle gracefully. This typically happens due to bugs, infrastructure issues, or edge cases that weren't anticipated during development.

INVALID_ARGUMENTS

This error occurs when the request contains invalid or missing parameters. Common cases include missing required fields, or values that don't match the expected format or type.

BAD_VERSION

This error occurs when making requests to an API version that does not exist. This commonly happens when using an outdated SDK or when the API version specified in the request URL is incorrect.